package com.rjconsultores.ventaboletos.web.gui.controladores.pagoconductor;


import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.util.resource.Labels;
import org.zkoss.zhtml.Messagebox;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.event.Event;

import com.rjconsultores.ventaboletos.entidad.CorridaTramo;
import com.rjconsultores.ventaboletos.service.CorridaTramoService;
import com.rjconsultores.ventaboletos.service.TarjetaViajeService;
import com.rjconsultores.ventaboletos.web.gui.controladores.catalogos.EditarCiudadController;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;

@Controller("actualizaTarjetaViajeController")
@Scope("prototype")
public class ActualizaTarjetaViajeController extends MyGenericForwardComposer {

	@Autowired
    private CorridaTramoService corridaTramoService;
	@Autowired
    private TarjetaViajeService tarjetaViajeService;
	private static Logger log = Logger.getLogger(ActualizaTarjetaViajeController.class);
	
	@Override
    public void doAfterCompose(Component comp) throws Exception {
		super.doAfterCompose(comp);
    }
	
	public void onClick$btnActualiazar(Event ev) throws InterruptedException {
        try {
        	List<CorridaTramo> lsCorridaTramo = corridaTramoService.obtenerTramoTarjetaEmitida();
            tarjetaViajeService.grabarTarjetaViaje(lsCorridaTramo);
			Messagebox.show(
			        Labels.getLabel("editarTarjetaController.MSG.suscribirOK"),
			        Labels.getLabel("importaTarjetaController.window.title"),
			        Messagebox.OK, Messagebox.INFORMATION);
		} catch (InterruptedException ex) {
			log.error("actualizaTarjetaViajeController: " + ex);
            Messagebox.show(
                    Labels.getLabel("MSG.Error"),
                    Labels.getLabel("importaTarjetaController.window.title"),
                    Messagebox.OK, Messagebox.ERROR);
		}
    }
}
